![depthcharge logo](./static/logo-dark.png#gh-dark-mode-only){: style="height:200px;display:block;margin-left:auto;margin-right:auto"}

Depthcharge is a deep learning toolkit for building Transformer models to analyze mass spectrometry data.

## About

Many deep learning tools have been developed for the analysis of mass spectra or mass spectrometry analytes, like peptides and small molecules.
However, each one has had to reinvent the wheel.

Depthcharge aims to provide a flexible, but opinionated, framework for rapidly prototyping deep learning models for mass spectrometry data.
Think of Depthcharge as a set of building blocks to get you started on a new deep learning project focused around mass spectrometry data.
Depthcharge delivers these building blocks in the form of PyTorch modules, which can be readily used to assemble customized deep learning models for your task.


<style>
  .md-typeset h1 {
    visibility: hidden;
    font-size: 2px;
    margin: 0px;
  }
</style>
